

<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>pycity_scheduling.examples package &mdash; pycity_scheduling v1.4.1 v1.4.1 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=b86133f3" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=e59714d7" />

  
      <script src="_static/jquery.js?v=5d32c60e"></script>
      <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
      <script src="_static/documentation_options.js?v=cebe732b"></script>
      <script src="_static/doctools.js?v=9bcbadda"></script>
      <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            pycity_scheduling v1.4.1
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.algorithms.html">pycity_scheduling.algorithms package</a></li>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.classes.html">pycity_scheduling.classes package</a></li>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.util.html">pycity_scheduling.util package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">pycity_scheduling v1.4.1</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">pycity_scheduling.examples package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/pycity_scheduling.examples.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="pycity-scheduling-examples-package">
<h1>pycity_scheduling.examples package<a class="headerlink" href="#pycity-scheduling-examples-package" title="Link to this heading"></a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Link to this heading"></a></h2>
</section>
<section id="module-pycity_scheduling.examples.example_00_fundamentals">
<span id="pycity-scheduling-examples-example-00-fundamentals-module"></span><h2>pycity_scheduling.examples.example_00_fundamentals module<a class="headerlink" href="#module-pycity_scheduling.examples.example_00_fundamentals" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_00_fundamentals.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_00_fundamentals.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_00_fundamentals.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_01_algorithm_central">
<span id="pycity-scheduling-examples-example-01-algorithm-central-module"></span><h2>pycity_scheduling.examples.example_01_algorithm_central module<a class="headerlink" href="#module-pycity_scheduling.examples.example_01_algorithm_central" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_01_algorithm_central.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_01_algorithm_central.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_01_algorithm_central.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_02_algorithm_local">
<span id="pycity-scheduling-examples-example-02-algorithm-local-module"></span><h2>pycity_scheduling.examples.example_02_algorithm_local module<a class="headerlink" href="#module-pycity_scheduling.examples.example_02_algorithm_local" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_02_algorithm_local.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_02_algorithm_local.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_02_algorithm_local.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="pycity-scheduling-examples-example-03-algorithm-stand-alone-module">
<h2>pycity_scheduling.examples.example_03_algorithm_stand-alone module<a class="headerlink" href="#pycity-scheduling-examples-example-03-algorithm-stand-alone-module" title="Link to this heading"></a></h2>
</section>
<section id="pycity-scheduling-examples-example-04-algorithm-dual-decomposition-module">
<h2>pycity_scheduling.examples.example_04_algorithm_dual-decomposition module<a class="headerlink" href="#pycity-scheduling-examples-example-04-algorithm-dual-decomposition-module" title="Link to this heading"></a></h2>
</section>
<section id="pycity-scheduling-examples-example-05-algorithm-exchange-admm-module">
<h2>pycity_scheduling.examples.example_05_algorithm_exchange-admm module<a class="headerlink" href="#pycity-scheduling-examples-example-05-algorithm-exchange-admm-module" title="Link to this heading"></a></h2>
</section>
<section id="pycity-scheduling-examples-example-06-algorithm-exchange-miqp-admm-module">
<h2>pycity_scheduling.examples.example_06_algorithm_exchange-miqp-admm module<a class="headerlink" href="#pycity-scheduling-examples-example-06-algorithm-exchange-miqp-admm-module" title="Link to this heading"></a></h2>
</section>
<section id="module-pycity_scheduling.examples.example_07_algorithm_aladin">
<span id="pycity-scheduling-examples-example-07-algorithm-aladin-module"></span><h2>pycity_scheduling.examples.example_07_algorithm_aladin module<a class="headerlink" href="#module-pycity_scheduling.examples.example_07_algorithm_aladin" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_07_algorithm_aladin.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_07_algorithm_aladin.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_07_algorithm_aladin.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_08_algorithm_warmstart">
<span id="pycity-scheduling-examples-example-08-algorithm-warmstart-module"></span><h2>pycity_scheduling.examples.example_08_algorithm_warmstart module<a class="headerlink" href="#module-pycity_scheduling.examples.example_08_algorithm_warmstart" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_08_algorithm_warmstart.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_08_algorithm_warmstart.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_08_algorithm_warmstart.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_09_algorithm_parallel_mpi">
<span id="pycity-scheduling-examples-example-09-algorithm-parallel-mpi-module"></span><h2>pycity_scheduling.examples.example_09_algorithm_parallel_mpi module<a class="headerlink" href="#module-pycity_scheduling.examples.example_09_algorithm_parallel_mpi" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_09_algorithm_parallel_mpi.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_09_algorithm_parallel_mpi.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_09_algorithm_parallel_mpi.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_10_algorithm_parallel_ray">
<span id="pycity-scheduling-examples-example-10-algorithm-parallel-ray-module"></span><h2>pycity_scheduling.examples.example_10_algorithm_parallel_ray module<a class="headerlink" href="#module-pycity_scheduling.examples.example_10_algorithm_parallel_ray" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_10_algorithm_parallel_ray.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_10_algorithm_parallel_ray.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_10_algorithm_parallel_ray.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="pycity-scheduling-examples-example-11-objective-peak-shaving-module">
<h2>pycity_scheduling.examples.example_11_objective_peak-shaving module<a class="headerlink" href="#pycity-scheduling-examples-example-11-objective-peak-shaving-module" title="Link to this heading"></a></h2>
</section>
<section id="pycity-scheduling-examples-example-12-objective-self-consumption-module">
<h2>pycity_scheduling.examples.example_12_objective_self-consumption module<a class="headerlink" href="#pycity-scheduling-examples-example-12-objective-self-consumption-module" title="Link to this heading"></a></h2>
</section>
<section id="pycity-scheduling-examples-example-13-objective-max-consumption-module">
<h2>pycity_scheduling.examples.example_13_objective_max-consumption module<a class="headerlink" href="#pycity-scheduling-examples-example-13-objective-max-consumption-module" title="Link to this heading"></a></h2>
</section>
<section id="module-pycity_scheduling.examples.example_14_objective_price">
<span id="pycity-scheduling-examples-example-14-objective-price-module"></span><h2>pycity_scheduling.examples.example_14_objective_price module<a class="headerlink" href="#module-pycity_scheduling.examples.example_14_objective_price" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_14_objective_price.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_14_objective_price.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_14_objective_price.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_15_objective_co2">
<span id="pycity-scheduling-examples-example-15-objective-co2-module"></span><h2>pycity_scheduling.examples.example_15_objective_co2 module<a class="headerlink" href="#module-pycity_scheduling.examples.example_15_objective_co2" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_15_objective_co2.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_15_objective_co2.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_15_objective_co2.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="pycity-scheduling-examples-example-16-objective-valley-filling-module">
<h2>pycity_scheduling.examples.example_16_objective_valley-filling module<a class="headerlink" href="#pycity-scheduling-examples-example-16-objective-valley-filling-module" title="Link to this heading"></a></h2>
</section>
<section id="module-pycity_scheduling.examples.example_17_district_generator">
<span id="pycity-scheduling-examples-example-17-district-generator-module"></span><h2>pycity_scheduling.examples.example_17_district_generator module<a class="headerlink" href="#module-pycity_scheduling.examples.example_17_district_generator" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_17_district_generator.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_17_district_generator.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_17_district_generator.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_18_district_flexibility_quantification">
<span id="pycity-scheduling-examples-example-18-district-flexibility-quantification-module"></span><h2>pycity_scheduling.examples.example_18_district_flexibility_quantification module<a class="headerlink" href="#module-pycity_scheduling.examples.example_18_district_flexibility_quantification" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_18_district_flexibility_quantification.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_18_district_flexibility_quantification.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_18_district_flexibility_quantification.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_19_scheduling_city_district_aladin">
<span id="pycity-scheduling-examples-example-19-scheduling-city-district-aladin-module"></span><h2>pycity_scheduling.examples.example_19_scheduling_city_district_aladin module<a class="headerlink" href="#module-pycity_scheduling.examples.example_19_scheduling_city_district_aladin" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_19_scheduling_city_district_aladin.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_19_scheduling_city_district_aladin.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_19_scheduling_city_district_aladin.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_20_scheduling_complex_city_district">
<span id="pycity-scheduling-examples-example-20-scheduling-complex-city-district-module"></span><h2>pycity_scheduling.examples.example_20_scheduling_complex_city_district module<a class="headerlink" href="#module-pycity_scheduling.examples.example_20_scheduling_complex_city_district" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_20_scheduling_complex_city_district.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_20_scheduling_complex_city_district.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_20_scheduling_complex_city_district.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="pycity-scheduling-examples-example-21-scheduling-pv-battery-system-module">
<h2>pycity_scheduling.examples.example_21_scheduling_pv+battery_system module<a class="headerlink" href="#pycity-scheduling-examples-example-21-scheduling-pv-battery-system-module" title="Link to this heading"></a></h2>
</section>
<section id="module-pycity_scheduling.examples.example_22_scheduling_heating_and_cooling_loads">
<span id="pycity-scheduling-examples-example-22-scheduling-heating-and-cooling-loads-module"></span><h2>pycity_scheduling.examples.example_22_scheduling_heating_and_cooling_loads module<a class="headerlink" href="#module-pycity_scheduling.examples.example_22_scheduling_heating_and_cooling_loads" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_22_scheduling_heating_and_cooling_loads.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_22_scheduling_heating_and_cooling_loads.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_22_scheduling_heating_and_cooling_loads.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_23_scheduling_convex_vs_integer_mode">
<span id="pycity-scheduling-examples-example-23-scheduling-convex-vs-integer-mode-module"></span><h2>pycity_scheduling.examples.example_23_scheduling_convex_vs_integer_mode module<a class="headerlink" href="#module-pycity_scheduling.examples.example_23_scheduling_convex_vs_integer_mode" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_23_scheduling_convex_vs_integer_mode.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_23_scheduling_convex_vs_integer_mode.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_23_scheduling_convex_vs_integer_mode.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_24_scheduling_robust_optimization">
<span id="pycity-scheduling-examples-example-24-scheduling-robust-optimization-module"></span><h2>pycity_scheduling.examples.example_24_scheduling_robust_optimization module<a class="headerlink" href="#module-pycity_scheduling.examples.example_24_scheduling_robust_optimization" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_24_scheduling_robust_optimization.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_24_scheduling_robust_optimization.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_24_scheduling_robust_optimization.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_25_scheduling_with_grid_four_load_branch">
<span id="pycity-scheduling-examples-example-25-scheduling-with-grid-four-load-branch-module"></span><h2>pycity_scheduling.examples.example_25_scheduling_with_grid_four_load_branch module<a class="headerlink" href="#module-pycity_scheduling.examples.example_25_scheduling_with_grid_four_load_branch" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_25_scheduling_with_grid_four_load_branch.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_25_scheduling_with_grid_four_load_branch.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_25_scheduling_with_grid_four_load_branch.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_26_scheduling_with_grid_four_load_branch_out">
<span id="pycity-scheduling-examples-example-26-scheduling-with-grid-four-load-branch-out-module"></span><h2>pycity_scheduling.examples.example_26_scheduling_with_grid_four_load_branch_out module<a class="headerlink" href="#module-pycity_scheduling.examples.example_26_scheduling_with_grid_four_load_branch_out" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_26_scheduling_with_grid_four_load_branch_out.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_26_scheduling_with_grid_four_load_branch_out.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_26_scheduling_with_grid_four_load_branch_out.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_27_scheduling_with_grid_two_load_generation_branch">
<span id="pycity-scheduling-examples-example-27-scheduling-with-grid-two-load-generation-branch-module"></span><h2>pycity_scheduling.examples.example_27_scheduling_with_grid_two_load_generation_branch module<a class="headerlink" href="#module-pycity_scheduling.examples.example_27_scheduling_with_grid_two_load_generation_branch" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_27_scheduling_with_grid_two_load_generation_branch.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_27_scheduling_with_grid_two_load_generation_branch.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_27_scheduling_with_grid_two_load_generation_branch.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="module-pycity_scheduling.examples.example_28_scheduling_with_grid_N_branches">
<span id="pycity-scheduling-examples-example-28-scheduling-with-grid-n-branches-module"></span><h2>pycity_scheduling.examples.example_28_scheduling_with_grid_N_branches module<a class="headerlink" href="#module-pycity_scheduling.examples.example_28_scheduling_with_grid_N_branches" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
<dl class="py function">
<dt class="sig sig-object py" id="pycity_scheduling.examples.example_28_scheduling_with_grid_N_branches.main">
<span class="sig-prename descclassname"><span class="pre">pycity_scheduling.examples.example_28_scheduling_with_grid_N_branches.</span></span><span class="sig-name descname"><span class="pre">main</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">do_plot</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#pycity_scheduling.examples.example_28_scheduling_with_grid_N_branches.main" title="Link to this definition"></a></dt>
<dd></dd></dl>

</section>
<section id="pycity-scheduling-examples-example-29-post-processing-schedule-evaluation-module">
<h2>pycity_scheduling.examples.example_29_post-processing_schedule_evaluation module<a class="headerlink" href="#pycity-scheduling-examples-example-29-post-processing-schedule-evaluation-module" title="Link to this heading"></a></h2>
</section>
<section id="pycity-scheduling-examples-example-30-post-processing-metrics-evaluation-module">
<h2>pycity_scheduling.examples.example_30_post-processing_metrics_evaluation module<a class="headerlink" href="#pycity-scheduling-examples-example-30-post-processing-metrics-evaluation-module" title="Link to this heading"></a></h2>
</section>
<section id="module-pycity_scheduling.examples">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-pycity_scheduling.examples" title="Link to this heading"></a></h2>
<p>The pycity_scheduling framework</p>
<p>Copyright (C) 2025,
Institute for Automation of Complex Power Systems (ACS),
E.ON Energy Research Center (E.ON ERC),
RWTH Aachen University</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
documentation files (the “Software”), to deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
Software.</p>
<p>THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
</section>
</section>


           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2025, Institute for Automation of Complex Power Systems (ACS), E.ON Energy Research Center (E.ON ERC), RWTH Aachen University.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>